summaryrefslogtreecommitdiff
path: root/sys-boot/plymouth
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-05-22 12:10:14 +0300
committerBlackNoxis <steven.darklight@gmail.com>2015-05-22 12:10:14 +0300
commitc64ae06510aa5bc3fcf4b43bfeb38ad5512a3c3b (patch)
tree55c77913b34579946cac249acf6fa380a781378a /sys-boot/plymouth
parentfdb3b40671cf34641fa6f2a130019a50a57e8641 (diff)
[plymouth] adding the test machine new plymouth
Diffstat (limited to 'sys-boot/plymouth')
-rw-r--r--sys-boot/plymouth/files/lightdm-plymouth.service13
-rw-r--r--sys-boot/plymouth/plymouth-0.8.9_pre2-r2.ebuild89
2 files changed, 102 insertions, 0 deletions
diff --git a/sys-boot/plymouth/files/lightdm-plymouth.service b/sys-boot/plymouth/files/lightdm-plymouth.service
new file mode 100644
index 00000000..0ce7ddc6
--- /dev/null
+++ b/sys-boot/plymouth/files/lightdm-plymouth.service
@@ -0,0 +1,13 @@
+[Unit]
+Description=Light Display Manager
+Conflicts=getty@tty1.service plymouth-quit.service
+After=systemd-user-sessions.service getty@tty1.service plymouth-quit.service
+
+[Service]
+ExecStart=/usr/sbin/lightdm
+Restart=always
+IgnoreSIGPIPE=no
+BusName=org.freedesktop.DisplayManager
+
+[Install]
+Alias=display-manager.service
diff --git a/sys-boot/plymouth/plymouth-0.8.9_pre2-r2.ebuild b/sys-boot/plymouth/plymouth-0.8.9_pre2-r2.ebuild
new file mode 100644
index 00000000..9b4441c3
--- /dev/null
+++ b/sys-boot/plymouth/plymouth-0.8.9_pre2-r2.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+EGIT_REPO_URI="git://anongit.freedesktop.org/plymouth"
+EGIT_COMMIT="37d2e400d25e6b4716d77d26fb7d40de8a8c1a8a"
+AUTOTOOLS_AUTORECONF="true"
+
+inherit autotools-utils readme.gentoo systemd toolchain-funcs git-2
+
+DESCRIPTION="Graphical boot animation (splash) and logger"
+HOMEPAGE="http://cgit.freedesktop.org/plymouth/"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug gdm +gtk +libkms +pango static-libs"
+
+CDEPEND="
+ >=media-libs/libpng-1.2.16
+ gtk? (
+ dev-libs/glib:2
+ >=x11-libs/gtk+-2.12:2 )
+ libkms? ( x11-libs/libdrm[libkms] )
+ pango? ( >=x11-libs/pango-1.21 )
+"
+DEPEND="${CDEPEND}
+ virtual/pkgconfig
+"
+RDEPEND="${CDEPEND}
+ virtual/udev
+ >=x11-themes/kogaion-artwork-core-1
+"
+
+DOC_CONTENTS="
+ Follow the following instructions to set up Plymouth:\n
+ http://dev.gentoo.org/~aidecoe/doc/en/plymouth.xml
+"
+
+src_prepare() {
+ # Kogaion: setup our default settings
+ epatch "${FILESDIR}/${PN}-kogaion-defaults.patch"
+
+ epatch_user
+
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ local myeconfargs=(
+ --with-system-root-install=no
+ --localstatedir=/var
+ --without-rhgb-compat-link
+ --enable-systemd-integration
+ $(use_enable debug tracing)
+ $(use_enable gtk gtk)
+ $(use_enable libkms drm)
+ $(use_enable pango)
+ $(use_enable gdm gdm-transition)
+ )
+ autotools-utils_src_configure
+}
+
+src_install() {
+ autotools-utils_src_install
+
+ # Kogaion: provided by kogaion-artwork-core
+ rm "${D}/etc/plymouth/plymouthd.conf"
+ rm "${D}/usr/share/plymouth/bizcom.png"
+
+ # Install compatibility symlinks as some rdeps hardcode the paths
+ dosym /usr/bin/plymouth /bin/plymouth
+ dosym /usr/sbin/plymouth-set-default-theme /sbin/plymouth-set-default-theme
+ dosym /usr/sbin/plymouthd /sbin/plymouthd
+
+ systemd_newunit "${FILESDIR}"/lightdm-plymouth.service lightdm-plymouth.service
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+ if ! has_version "sys-kernel/dracut[dracut_modules_plymouth]" && ! has_version "sys-kernel/genkernel-next[plymouth]"; then
+ ewarn "If you want initramfs builder with plymouth support, please emerge"
+ ewarn "sys-kernel/dracut[dracut_modules_plymouth] or sys-kernel/genkernel-next[plymouth]."
+ fi
+}